This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 373641 - Twinkle crash
Twinkle crash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: twinkle (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-09 15:15 EST by Marek Mahut
Modified: 2012-08-06 10:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 02:04:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace from gdb (3.86 KB, text/plain)
2007-11-09 15:17 EST, Marek Mahut
no flags Details
backstrace from gdb with ccrtp-debuginfo (4.84 KB, text/plain)
2007-11-28 07:13 EST, Marek Mahut
no flags Details
twinkle.log (16.16 KB, text/plain)
2007-11-28 07:13 EST, Marek Mahut
no flags Details

  None (edit)
Description Marek Mahut 2007-11-09 15:15:08 EST
Description of problem:

Twinkle crahes with SIGSEGV, after ending a call.

Version-Release number of selected component (if applicable):

twinkle-1.1-3.fc8


How reproducible:

always

Steps to Reproduce:
1. call someone
2. press "end" button
3. twinkle crashes
  
Actual results:

crash of twinkle

Expected results:

twinkle ends the call without problem

Additional info:
Comment 1 Marek Mahut 2007-11-09 15:17:24 EST
Created attachment 253341 [details]
backtrace from gdb
Comment 2 Marek Mahut 2007-11-09 15:29:42 EST
Looks like a null dereference. 
Comment 3 Kevin Fenzi 2007-11-10 15:54:50 EST
Odd. ok. I will take a look into it... 

i386? I see your gdb is el5... but this is on f8, right? 

Is there anything in your ~/.twinkle/twinkle.log that pertains to this? 
Comment 4 Marek Mahut 2007-11-11 12:37:47 EST
Yes, it's i386. The gdb output is from el5, but the same behavior applies for f8
too.

No, nothing in twinkle.log.
Comment 5 Kevin Fenzi 2007-11-11 16:48:07 EST
Looks like this might be something in the ccrtp libs. 

What version of ccrtp do you have installed?

can you install the ccrtp debuginfo and re-run gdb? 

Can you generate a twinkle.log with a failed session and attach it anyhow? 
(Upstream asks for that on all bug reports). 
Comment 6 Kevin Fenzi 2007-11-20 16:39:36 EST
I take it you are only seeing this in devel, not F8? 

Can you try the twinkle from this scratch build (as soon as it's done)?

http://koji.fedoraproject.org/koji/taskinfo?taskID=251349

Comment 7 Marek Mahut 2007-11-28 07:10:11 EST
Houps, sorry for late answer. I need to reorganize my bugzilla mails I think.

My ccrtp version is ccrtp-1.5.1-1.

As the scratch build does not preserve the source rpm I can't try it. I'm using
this twinkle package under RHEL, recompiled from Fedora.
Comment 8 Marek Mahut 2007-11-28 07:13:10 EST
Created attachment 271191 [details]
backstrace from gdb with ccrtp-debuginfo
Comment 9 Marek Mahut 2007-11-28 07:13:47 EST
Created attachment 271211 [details]
twinkle.log
Comment 10 Andreas Thienemann 2007-12-05 12:11:50 EST
Comparing straces and an educated guess shows that switching from ALSA to OSS
seems to fix the hang on clicking BYE. This might be heavily related to this
problem.
Comment 11 Marek Mahut 2007-12-05 12:29:23 EST
True, this solves the problem. I just found another user having same problem.
Comment 12 Andreas Thienemann 2007-12-06 02:40:45 EST
Marek,

(In reply to comment #11)
> True, this solves the problem. I just found another user having same problem.

I'm not seeing this problem myself. What Headset are you using when calling with
twinkle? Is there any correlation? I'm on a Logitech headset with USB adapter.

regards,
 andreas
Comment 13 Marek Mahut 2007-12-06 02:49:11 EST
Andreas,

no headset, using my build-in sound card in T60.
Comment 14 Andreas Thienemann 2007-12-06 04:14:45 EST
Marek,

what about the others? Internal card as well?
Comment 15 Marek Mahut 2007-12-30 15:39:47 EST
Yes, however after I've reinstalled my computer I don't see this error. Andreas
can you please work with Igor Donev to get this resolved?
Comment 16 Kevin Fenzi 2008-01-01 20:16:24 EST
You no longer see the issue? Do we have someone who can duplicate it? 
I still don't see it here at all...
Comment 17 Kevin Fenzi 2008-02-20 22:19:05 EST
Any further news here? Or should we just close this out? 
Comment 18 Marek Mahut 2008-02-21 02:04:28 EST
(In reply to comment #17)
> Any further news here? Or should we just close this out? 

Kevin, closing. Thank you for your time, this bug report itself has not been
very informative from my side. If I see the issue again I'll make sure to
troubleshoot it and get proper backtrace as well.

Note You need to log in before you can comment on or make changes to this bug.